org.eclipse.emf.spi.cdo

## Class CDOSessionProtocol.CommitTransactionResult

- java.lang.Object
- - org.eclipse.emf.spi.cdo.CDOSessionProtocol.CommitTransactionResult

- All Implemented Interfaces:
    CDOBranchPoint, CDOBranchProvider, CDOTimeProvider
  Enclosing interface:
    CDOSessionProtocol

      public static final class CDOSessionProtocol.CommitTransactionResult
      extends java.lang.Object
      implements CDOBranchPoint

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    3.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `CDOSessionProtocol.CommitTransactionResult.PostCommitReferenceAdjuster` If the meaning of this type isn't clear, there really should be more of a description here...

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

      `INVALID_DATE, UNSPECIFIED_DATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommitTransactionResult()`
    `CommitTransactionResult(CDOIDProvider idProvider, byte rollbackReason, java.lang.String rollbackMessage, CDOBranchPoint branchPoint, long previousTimeStamp, java.util.List<CDOObjectReference> xRefs, boolean clearResourcePathCache)` Deprecated. As of 4.3
    `CommitTransactionResult(CDOIDProvider idProvider, CDOBranchPoint branchPoint, long previousTimeStamp)` Deprecated. As of 4.2
    `CommitTransactionResult(CDOIDProvider idProvider, CDOBranchPoint branchPoint, long previousTimeStamp, boolean clearResourcePathCache)` Deprecated. As of 4.3
    `CommitTransactionResult(CDOIDProvider idProvider, java.lang.String rollbackMessage, CDOBranchPoint branchPoint, long previousTimeStamp, java.util.List<CDOObjectReference> xRefs)` Deprecated. As of 4.2

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addIDMapping(CDOID oldID, CDOID newID)`
    `void` | `addNewPermission(CDOID id, CDOPermission permission)`
    `protected CDOSessionProtocol.CommitTransactionResult.PostCommitReferenceAdjuster` | `createReferenceAdjuster()`
    `CDOBranch` | `getBranch()` Returns the branch of this branch point, or `null` if this branch point is the `base` of the `main branch`.
    `java.util.Map<CDOID,CDOID>` | `getIDMappings()`
    `CDOIDProvider` | `getIDProvider()`
    `CDOProtocol.CommitData` | `getNewCommitData()`
    `CDOLockState[]` | `getNewLockStates()`
    `java.util.Map<CDOID,CDOPermission>` | `getNewPermissions()`
    `long` | `getPreviousTimeStamp()`
    `CDOReferenceAdjuster` | `getReferenceAdjuster()`
    `java.lang.String` | `getRollbackMessage()`
    `byte` | `getRollbackReason()`
    `byte` | `getSecurityImpact()`
    `long` | `getTimeStamp()` Returns the time stamp of this branch point, or the fixed special time stamp `unspecified` if this branch point marks the `head` of a branch.
    `java.util.List<CDOObjectReference>` | `getXRefs()`
    `boolean` | `isClearResourcePathCache()`
    `void` | `setBranchPoint(CDOBranchPoint branchPoint)`
    `void` | `setClearResourcePathCache(boolean clearResourcePathCache)`
    `void` | `setIDProvider(CDOIDProvider idProvider)`
    `void` | `setNewCommitData(CDOProtocol.CommitData newCommitData)`
    `void` | `setNewLockStates(CDOLockState[] newLockStates)`
    `void` | `setPreviousTimeStamp(long previousTimeStamp)`
    `void` | `setReferenceAdjuster(CDOReferenceAdjuster referenceAdjuster)`
    `void` | `setRollbackMessage(java.lang.String rollbackMessage)`
    `void` | `setRollbackReason(byte rollbackReason)`
    `void` | `setSecurityImpact(byte securityImpact)`
    `void` | `setXRefs(java.util.List<CDOObjectReference> xRefs)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommitTransactionResult

          public CommitTransactionResult()

      Since:
        4.3

    - #### CommitTransactionResult

          @Deprecated
          public CommitTransactionResult(CDOIDProvider idProvider,
                                                      java.lang.String rollbackMessage,
                                                      CDOBranchPoint branchPoint,
                                                      long previousTimeStamp,
                                                      java.util.List<CDOObjectReference> xRefs)

      Deprecated. As of 4.2
      Since:
        4.0

    - #### CommitTransactionResult

          @Deprecated
          public CommitTransactionResult(CDOIDProvider idProvider,
                                                      byte rollbackReason,
                                                      java.lang.String rollbackMessage,
                                                      CDOBranchPoint branchPoint,
                                                      long previousTimeStamp,
                                                      java.util.List<CDOObjectReference> xRefs,
                                                      boolean clearResourcePathCache)

      Deprecated. As of 4.3
      Since:
        4.2

    - #### CommitTransactionResult

          @Deprecated
          public CommitTransactionResult(CDOIDProvider idProvider,
                                                      CDOBranchPoint branchPoint,
                                                      long previousTimeStamp)

      Deprecated. As of 4.2
      Since:
        4.0

    - #### CommitTransactionResult

          @Deprecated
          public CommitTransactionResult(CDOIDProvider idProvider,
                                                      CDOBranchPoint branchPoint,
                                                      long previousTimeStamp,
                                                      boolean clearResourcePathCache)

      Deprecated. As of 4.3
      Since:
        4.2

  - ### Method Detail

    - #### getBranch

          public CDOBranch getBranch()

      Description copied from interface: `CDOBranchPoint`
      Returns the branch of this branch point, or `null` if this branch point is the `base` of the `main branch`.
      Specified by:
        `getBranch` in interface `CDOBranchPoint`
      Specified by:
        `getBranch` in interface `CDOBranchProvider`
      Since:
        3.0

    - #### getTimeStamp

          public long getTimeStamp()

      Description copied from interface: `CDOBranchPoint`
      Returns the time stamp of this branch point, or the fixed special time stamp `unspecified` if this branch point marks the `head` of a branch.
      Specified by:
        `getTimeStamp` in interface `CDOBranchPoint`
      Specified by:
        `getTimeStamp` in interface `CDOTimeProvider`

    - #### setBranchPoint

          public void setBranchPoint(CDOBranchPoint branchPoint)

      Since:
        4.3

    - #### getPreviousTimeStamp

          public long getPreviousTimeStamp()

      Since:
        4.0

    - #### setPreviousTimeStamp

          public void setPreviousTimeStamp(long previousTimeStamp)

      Since:
        4.3

    - #### getReferenceAdjuster

          public CDOReferenceAdjuster getReferenceAdjuster()

      Since:
        4.0

    - #### setReferenceAdjuster

          public void setReferenceAdjuster(CDOReferenceAdjuster referenceAdjuster)

      Since:
        4.0

    - #### getRollbackReason

          public byte getRollbackReason()

      Since:
        4.2

    - #### setRollbackReason

          public void setRollbackReason(byte rollbackReason)

      Since:
        4.3

    - #### getRollbackMessage

          public java.lang.String getRollbackMessage()

    - #### setRollbackMessage

          public void setRollbackMessage(java.lang.String rollbackMessage)

      Since:
        4.3

    - #### getXRefs

          public java.util.List<CDOObjectReference> getXRefs()

      Since:
        4.0

    - #### setXRefs

          public void setXRefs(java.util.List<CDOObjectReference> xRefs)

      Since:
        4.3

    - #### isClearResourcePathCache

          public boolean isClearResourcePathCache()

      Since:
        4.2

    - #### setClearResourcePathCache

          public void setClearResourcePathCache(boolean clearResourcePathCache)

      Since:
        4.3

    - #### getSecurityImpact

          public byte getSecurityImpact()

      Since:
        4.3

    - #### setSecurityImpact

          public void setSecurityImpact(byte securityImpact)

      Since:
        4.3

    - #### getIDProvider

          public CDOIDProvider getIDProvider()

      Since:
        4.3

    - #### setIDProvider

          public void setIDProvider(CDOIDProvider idProvider)

      Since:
        4.3

    - #### getIDMappings

          public java.util.Map<CDOID,CDOID> getIDMappings()

    - #### addIDMapping

          public void addIDMapping(CDOID oldID,
                                   CDOID newID)

      Since:
        3.0

    - #### getNewLockStates

          public CDOLockState[] getNewLockStates()

      Since:
        4.1

    - #### setNewLockStates

          public void setNewLockStates(CDOLockState[] newLockStates)

      Since:
        4.1

    - #### getNewPermissions

          public java.util.Map<CDOID,CDOPermission> getNewPermissions()

      Since:
        4.3

    - #### addNewPermission

          public void addNewPermission(CDOID id,
                                       CDOPermission permission)

      Since:
        4.3

    - #### getNewCommitData

          public CDOProtocol.CommitData getNewCommitData()

      Since:
        4.8

    - #### setNewCommitData

          public void setNewCommitData(CDOProtocol.CommitData newCommitData)

      Since:
        4.8

    - #### createReferenceAdjuster

          protected CDOSessionProtocol.CommitTransactionResult.PostCommitReferenceAdjuster createReferenceAdjuster()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html